"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const windowChannel_1 = require("./windowChannel");
it('should be able to construct a simple channel', () => {
    const chan = new windowChannel_1.Channel();
    expect(true).toEqual(true);
});
it('should be able to send a message', (done) => {
    const chanA = new windowChannel_1.Channel();
    const chanB = new windowChannel_1.Channel({ to: chanA.id });
    chanA.setPartner(chanB.id);
    chanA.start();
    chanB.start();
    chanB.on('test', (foo) => {
        expect(foo).toEqual('bar');
        done();
    });
    chanA.send('test', 'bar');
});
it('should be able to send a message back and forth 100 times', (done) => {
    const END_COUNT = 100;
    const chanA = new windowChannel_1.Channel();
    const chanB = new windowChannel_1.Channel({ to: chanA.id });
    chanA.setPartner(chanB.id);
    chanA.start();
    chanB.start();
    chanB.on('test', (foo) => {
        if (foo === END_COUNT) {
            done();
        }
        else {
            chanB.send('test', foo);
        }
    });
    chanA.on('test', (foo) => {
        chanA.send('test', foo + 1);
    });
    chanA.send('test', 0);
});
//# sourceMappingURL=windowChannel.test.js.map